/*                                                                   */
/* IBM Tivoli OMEGAMON XE for IMS for z/OS v 3.1.0                   */
/* Delete UADVISOR Situations from previous release which was        */
/* OMEGAMON XE for IMSplex V 2.2.0.  The previous release used       */
/* UADVISOR situations for populating some of the tables.  This      */
/* release populates the tables on demand using Intelligent Remote   */
/* Agents (IRAs).  The UADIVSOR situations need to be deleted if     */
/* v 3.1.0 is installed into the same CSI and Run Time Environment   */
/* that was used for the previous release.                           */
/*                                                                   */	

DELETE FROM O4SRV.TSITDESC WHERE SITNAME LIKE "UADVISOR_KIP_VCF_DS*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "UADVISOR_KIP_VCF_DS*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "KIP.VCF_DS*";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME LIKE "UADVISOR_KIP_VCF_GROUP*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "UADVISOR_KIP_VCF_GROUP*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "KIP.VCF_GROUP*";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME LIKE "UADVISOR_KIP_VIMS_PARM*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "UADVISOR_KIP_VIMS_PARM*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "KIP.VIMS_PARM*";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME LIKE "UADVISOR_KIP_VKIP_MQ_*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "UADVISOR_KIP_VKIP_MQ_*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "KIP.VKIP_MQ_*";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME LIKE "UADVISOR_KIP_VMSC_*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "UADVISOR_KIP_VMSC_*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "KIP.VMSC_*";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME LIKE "UADVISOR_KIP_VTRF_*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "UADVISOR_KIP_VTRF_*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "KIP.VTRF_*";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME LIKE "UADVISOR_KIP_VRTA_GNT*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "UADVISOR_KIP_VRTA_GNT*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "KIP.VRTA_GNT*";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME LIKE "UADVISOR_KIP_RTA_INT*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "UADVISOR_KIP_RTA_INT*";
DELETE FROM O4SRV.SITDB WHERE RULENAME LIKE "KIP.RTA_INT*";

/*                                                                  */
/* Remove product provided situations for OMEGAMON XE for IMS  v4.10     */
/*                                                                  */


DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME =
  'IMS_Plex_Heartbeat';
DELETE FROM O4SRV.SITDB WHERE RULENAME =
  'IMS_Plex_Heartbeat______________';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Plex_Heartbeat";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_CF_RLE_Pct_Critical"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_Lock_Wait_Time_Criti
cal";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_MQ_STATUS_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_MSC_Q_Count_Critical
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_RTA_Group_Resp_Criti
cal";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Crit
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Warn
ing";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_MQ_Connection_Status";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_MSC_Queue_Count_Critical
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_MSC_Queue_Count_Warning"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_MSC_Queue_Status";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_RTA_Group_Response_Criti
cal";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_RTA_Group_Response_Warni
ng";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_RTA_Item_Response_Critic
al";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_RTA_Item_Response_Warnin
g";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Largest_Freeblock_Warnin
g";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Largest_Freeblock_Critic
al";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CPU_High_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CPU_High_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CPU_Low_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CPU_Low_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Region_EXCP_High_Warning
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Region_EXCP_High_Critica
l";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Region_EXCP_Low_Warning"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Region_EXCP_Low_Critical
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Common_PageIn_High_Warni
ng";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Common_PageIn_High_Criti
cal";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Private_PageIn_High_Warn
ing";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Private_PageIn_High_Crit
ical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_WSS_High_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_WSS_High_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_WSS_Low_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_WSS_Low_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DS_I/ORate_High_Warning"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DS_IORate_High_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DS_I/ORate_High_Critical
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DS_IORate_High_Critical"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Pool_Util_High_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Pool_Util_High_Critical"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Held_Locks_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Held_Locks_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_WaitSVC";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DB_I/O_Errors";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DB_IO_Errors";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DB_Dyn_Backout_Error";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DEDB_Error";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_PoolFreeBlocks";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DeviceNotResponding";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DeviceNotReady";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegSwappedOut";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_ExSubNoCtl";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_ExSubNoDep";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Inactive";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DeviceErrorRecovery";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Connected";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Not_Connected";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Inactive";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Contention_Warning"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Contention_Critical
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Utilization_Warning
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Utilization_Critica
l";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Tasks_Waiting_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Tasks_Waiting_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_LogTape_Writeahead";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_VTAM_ACB_Status";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_LU_Status";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Parallel_DLI_Status";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Recon_Reserved";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Start_DC";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_VTAM_Auth_Path";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Logging_DS_Error";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Logging_AutoArchive";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Online_Change_Active";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Online_Change_Occurred";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_OLDS_I/O_Errors_Critical
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_OLDS_IO_Errors_Critical"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_BP_Locked_Count";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_OLDS_One_Active";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_OSAM_Rate_High_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_OSAM_Rate_High_Critical"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Waiting_Dyn_SAP";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_TCO_Inactive";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_VSAM_Rate_High_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_VSAM_Rate_High_Critical";
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Logging_WriteAhead";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Physical_Logger_SVC";

/*  Start of new situations for V410                           */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Threads_Active_Low";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Threads_Active_High";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Threads_Elapsed_Time_Hig
h";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_HALDB_Part_Not_Initializ
ed";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_HALDB_Partition_Stopped"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegDLICallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegDLETCallHigh"; 
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegGHNCallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegGHNPCallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegGHUCallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegGNCallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegGNPCallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegGUCallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegISRTCallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegREPLCallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegMsgGNCallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegMsgGUCallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegMsgISRTCallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegMsgPURGCallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegMsgTotalCallHigh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegDLICallsPerTransHi
gh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepReg_Occupancy_Low";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepReg_Occupancy_High";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Connect_Response_Time_H
igh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Connect_Tran_MsgRate_Hi
gh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Connect_NAK_Response_Hi
gh";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Connect_Port_Avg_Depth_
High";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Connect_Port_Max_Depth_
High";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_OTMA_TIBs_In_Use_Critic
al";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_OTMA_TIBs_In_Use_Warnin
g";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_OTMA_TMEMBER_In_Flood";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_OTMA_TPIPE_Stopped";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_OTMA_TPIPE_Wait_ACK_NAK
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_OTMA_TPIPE_Output_Que_H
igh";


/* End of new situations added for V410                                */


/*                                                                  */
/* Remove product provided situations for OMEGAMON XE for IMS  v4.20     */
/*                                                                  */

/* Bottleneck Analysis - added by BGT on 3-11-08 */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Wait_QBLKS_IO";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Wait_SHMSG_IO";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Wait_LGMSG_IO";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Wait_PI";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Wait_IRLM";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Wait_Sync_Point";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Wait_IWAIT_in_Term";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_DepReg_OTMA_ACKNAK_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Lock_Conflict_TopBlocker";

/* MSC Performance Statistics - added by BGT on 8-5-08 */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_MSC_Link_Byte_SendRate_High";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_MSC_Link_Send_I/O_Rate_High";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_MSC_Link_Byte_Rec_Rate_High";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_MSC_Link_Rec_I/O_Rate_High";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_DepReg_Long_Lock_Wait";

/* End of new situations added for V420                                */