@echo off
setlocal
REM #####################################################################
REM Usage:
REM      ImportAgentTEPSAfter <CANDLE_HOME>
REM Result:
REM      0   Successful
REM      >0  Failed
REM ####################################################################

set CANDLE_HOME=%1

REM simple verification if the candlehome
if "%CANDLE_HOME%" == ""  exit 2
if NOT EXIST %CANDLE_HOME% exit 2

set PATH=%CANDLE_HOME%\CNPS;%PATH%

REM log the execution
echo ImportAgentTEPSAfter started with %1 >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSAfter.log

REM check targets
if NOT EXIST %CANDLE_HOME%\CNPS (
	echo ERROR: target directory %CANDLE_HOME%\CNPS not found >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSAfter.log
	exit 2
)
echo target directory %CANDLE_HOME%\CNPS found >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSAfter.log

if NOT EXIST %CANDLE_HOME%\CNB (
	echo ERROR: target directory %CANDLE_HOME%\CNB not found >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSAfter.log
	exit 2
)
echo target directory %CANDLE_HOME%\CNB found >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSAfter.log

REM helpmerg
cd %CANDLE_HOME%\CNB\classes\candle
echo  helpmerg started >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSAfter.log
call helpmerg.bat

REM reseed
cd %CANDLE_HOME%\CNPS
echo  reseeding started >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSAfter.log
call InstallPresentation.bat
exit %ERRORLEVEL%

endlocal
